Name:           xonotic
Version:        0.8.2
Release:        %mkrel 1
Summary:        A free multi-player first person shooter
Group:          Games/Shooter
License:        GPLv2+
Url:            http://www.xonotic.org
# Repacked from http://dl.xonotic.org/%%{name}-%%{version}.zip using Source1
Source0:        %{name}-%{version}.tar.xz
Source1:        prepare-source.sh

BuildRequires:  jpeg-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-data >= %{version}

%description
Xonotic is a free (GPL), fast-paced first-person shooter that works on
Microsoft Windows, Mac OSX and Linux.

Xonotic is a direct successor of the Nexuiz Project.

It features much better quality graphics and visual effects.

Xonotic places focus on community involvement as its principal driving force
and structures itself to respect that. The aim of Xonotic is to become the
best possible open-source FPS (first-person-shooter) of its kind.

%prep
%setup -q

%build
%make -C source/darkplaces sv-release cl-release \
      CPUOPTIMIZATIONS="%{optflags}" \
      DP_FS_BASEDIR=%{_gamesdatadir}/%{name}

%install
install -D -m755 source/darkplaces/darkplaces-dedicated %{buildroot}%{_gamesbindir}/%{name}-dedicated
#install -D -m755 source/darkplaces/darkplaces-sdl %{buildroot}%{_gamesbindir}/%{name}-sdl
install -D -m755 source/darkplaces/darkplaces-glx %{buildroot}%{_gamesbindir}/%{name}-glx

for size in 16 32 64 128; do
  install -D -m644 misc/logos/icons_png/%{name}_${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
install -D -m644 misc/logos/%{name}_icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -d %{buildroot}%{_datadir}/applications

#cat > %{buildroot}%{_datadir}/applications/%{name}-sdl.desktop << EOF
#[Desktop Entry]
#Name=Xonotic-SDL
#Comment=Multi-player first person shooter (SDL)
#Exec=%{name}-sdl
#Icon=%{name}
#Terminal=false
#Type=Application
#StartupNotify=false
#Categories=Game;Shooter;X-MandrivaLinux-MoreApplications-Games-Arcade;
#EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-glx.desktop << EOF
[Desktop Entry]
Name=Xonotic-GLX
Comment=Multi-player first person shooter (GLX)
Exec=%{name}-glx
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%files
%{_gamesbindir}/%{name}-dedicated
#%{_gamesbindir}/%{name}-sdl
%{_gamesbindir}/%{name}-glx
#%{_datadir}/applications/%{name}-sdl.desktop
%{_datadir}/applications/%{name}-glx.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Wed Apr 12 2017 ghostbunny <ghostbunny at gmx dot de> 0.8.2-1pclos2017
- 0.8.2

* Wed Sep 23 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2015
- 0.8.1

* Thu Feb 26 2015 pinoc <vogtpet at gmail.com> 0.8.0-1pclos2015
- reimported package